Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007585Dwarf FortressDwarf Mode -- Environmentpublic2014-07-23 06:042014-09-12 11:42
ReporterTalvieno 
Assigned ToToady One 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version8
Product Version0.40.04 
Target VersionFixed in Version0.40.13 
Summary0007585: Trees channel light underground
DescriptionExactly what it says in the description - light passes vertically through trees. I suppose the idea is that you don't want there to be darkness under the branches, but it has the added effect of making areas light that are underground - if the tile in question is one tile below the central trunk.
Steps To ReproduceMine out an area one z-level below ground. Wait for a tree to grow above, or simply mine out the roots of existing trees. Press K and check the tile. It'll say it's light. This permits growing aboveground crops underground.
Tags0.40.06
Attached Files

- Relationships
has duplicate 0007712resolvedKnight Otu Light underground, through trees 
has duplicate 0008143resolvedKnight Otu Above Ground tile underground directly beneath a tree 
related to 0007068resolvedToady One Tile dug under tree trunk growing on rock is considered inside/light/aboveground 
related to 0000087confirmedFootkerchief If one tile of a farm plot is dry or has the wrong biome, it also prevents the succeeding tiles from getting planted 

-  Notes
(0027964)
Ijiero (reporter)
2014-07-30 10:15

I can confirm this bug. I just registered to report it myself.

Additionaly: upon removal of the tree, your underground lair will have an open ceiling where the tree used to be. I assume this is as intended...
(0027965)
Talvieno (reporter)
2014-07-30 10:20

I wouldn't think that's intended, no. I suppose it makes sense in a way, but I don't think it's intended.
(0028071)
Drazinononda (reporter)
2014-07-31 22:23

As far as realism goes, it makes sense... if you dig out a room that has a tree for a ceiling, then remove the tree, you've removed the ceiling.

From a game mechanics standpoint, I assume that tree trunks work off the same base code as constructed walls, so that they block movement but leave full empty tiles (rather than a floor) when cut down. Otherwise trimming the branches off a tree would leave branch-shaped floors in the upper reaches, which wouldn't make sense.
(0028091)
Talvieno (reporter)
2014-08-01 11:41

That part makes sense. The weird part is that trees act like glass would in real life, and channel light downwards through them - or at least pass light downwards. The light remains there permanently.
(0028092)
Peeps (reporter)
2014-08-01 11:51

Maybe there were holes between the roots that let light filter down or something.
As for the light staying after the hole was filled, DF has always been like that; try channeling out an area on the surface then covering it with a floor.
(0028254)
lethosor (manager)
2014-08-03 19:37

Fairly easy to reproduce in 0.40.06 with 0006749 fixed.
(0029223)
slink (reporter)
2014-08-18 09:37

In 0.40.09, if you cut down the tree first then the roots vanish and there is no problem with light coming down when you dig where the roots used to be. I don't know yet what happens if a new tree grows over a room. Perhaps they don't grow there.

- Issue History
Date Modified Username Field Change
2014-07-23 06:04 Talvieno New Issue
2014-07-29 08:20 Knight Otu Relationship added has duplicate 0007712
2014-07-30 10:15 Ijiero Note Added: 0027964
2014-07-30 10:20 Talvieno Note Added: 0027965
2014-07-30 13:32 Ijiero Issue Monitored: Ijiero
2014-07-30 13:33 Ijiero Issue End Monitor: Ijiero
2014-07-31 22:23 Drazinononda Note Added: 0028071
2014-08-01 11:41 Talvieno Note Added: 0028091
2014-08-01 11:51 Peeps Note Added: 0028092
2014-08-03 19:36 lethosor Assigned To => lethosor
2014-08-03 19:36 lethosor Status new => acknowledged
2014-08-03 19:36 lethosor Tag Attached: 0.40.06
2014-08-03 19:37 lethosor Note Added: 0028254
2014-08-06 10:34 Footkerchief Relationship added related to 0007068
2014-08-18 09:37 slink Note Added: 0029223
2014-08-24 15:05 Knight Otu Relationship added has duplicate 0008143
2014-08-29 08:26 Footkerchief Status acknowledged => confirmed
2014-09-12 09:25 Footkerchief Relationship added related to 0000087
2014-09-12 11:42 Toady One Status confirmed => resolved
2014-09-12 11:42 Toady One Fixed in Version => Next Version
2014-09-12 11:42 Toady One Resolution open => fixed
2014-09-12 11:42 Toady One Assigned To lethosor => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker